Bug 235997

Summary: Opera no longer starts since currently updates
Product: [Fedora] Fedora Reporter: Hervé Riboulot <herve.riboulot>
Component: java-1.5.0-gcjAssignee: Thomas Fitzsimmons <fitzsim>
Status: CLOSED CANTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-04-12 15:57:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Hervé Riboulot 2007-04-11 12:43:38 UTC
Description of problem:

Opera, which was working well (rpm), does no longer start, since updates (April
10th).

Messages are:

ERROR: ld.so: object 'libjvm.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libawt.so' from LD_PRELOAD cannot be preloaded: ignored.
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
** Message: GetValue variable 1 (1)
** Message: GetValue variable 2 (2)
Erreur de segmentation
(segmentation fault)

rpm -qf /usr/lib/gcj-4.1.2/libjvm.so 
libgcj-4.1.2-8

Libawt.so is provided by Sun Java, implemented by a manual method (using *.bin):
/opt/jre1.5.0_11/lib/i386/libawt.so

alternatives is properly set up.

rpm -q opera
opera-9.10-20061214.6


Version-Release number of selected component (if applicable):

rpm -qf /usr/lib/gcj-4.1.2/libjvm.so 
libgcj-4.1.2-8

Libawt.so is provided by Sun Java, implemented by a manual method (using *.bin):
/opt/jre1.5.0_11/lib/i386/libawt.so

alternatives is properly set up.

rpm -q opera
opera-9.10-20061214.6

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Hervé Riboulot 2007-04-11 13:56:45 UTC
Workaround: to upgrade the Opera version to 9.20.

 rpm -q opera
opera-9.20-20070409.6




Comment 2 Thomas Fitzsimmons 2007-04-12 15:58:30 UTC
I can't fix bugs relating to Sun Java 1.5.0 nor Opera because I don't have the
source code for those packages.